package com.belkast.soap;

import java.io.*;
import java.util.*;

public class fileProcessor {

    public static String readFirstLine(String thisFile) throws Exception {
            File file = new File(thisFile);
            if (file.exists()) {
                FileReader fr = new FileReader(file);
                LineNumberReader ln = new LineNumberReader(fr);
                while (ln.getLineNumber() == 0) {
                    String s = ln.readLine();
                    return s;
                }
            }
        return null;
    }

    public static Boolean getFile (String myFile)
    {
        if (myFile == null)
        {
            return false;
        }

        File thisFile = new File(myFile);
        if (thisFile.exists())
        {
            return true;
        }

        return false;
    }

    public static String replaceInFile (String myFile, Map hashMap)
    {
        File thisFile = new File(myFile);
        if (!thisFile.exists())
        {
            return null;
        }
        StringBuilder sb = new StringBuilder();
        try
            {
                FileReader fileReader = new FileReader(myFile);
                BufferedReader reader = new BufferedReader(fileReader);
                String line;
                while ((line = reader.readLine()) != null)
                {
                    sb.append(line);
                }
                reader.close();
            }
            catch (IOException e)
            {
                e.printStackTrace();
                return null;
            }

            String returnString = sb.toString();

            Set set = hashMap.entrySet();
            Iterator i = set.iterator();
            while (i.hasNext())
            {
                Map.Entry me = (Map.Entry)i.next();
                returnString = returnString.replaceAll(me.getKey().toString(), me.getValue().toString());
            }

            return returnString;
        }
}