package com.belkast.soap;

import com.beust.jcommander.IParameterValidator;
import com.beust.jcommander.ParameterException;

import java.io.File;

public class jCommanderVerifyFile implements IParameterValidator
{
    public void validate(String name, String value) throws ParameterException
    {
        try
        {
            File file = new File(value);
            boolean success = file.exists();
            if (!success)
            {
                throw new ParameterException("Parameter value " + name + " points to a file that does not exist : " + value);
            }
        }
        catch (ParameterException ex)
        {
            System.out.println();
            System.out.println(ex.toString());
            System.exit(0);
        }
    }
}
